---
title: <listing>
slug: Web/HTML/Element/listing
tags:
  - Element
  - HTML
  - Obsolete
  - Reference
  - Web
---
<div>{{Obsolete_header}}</div>

<h2 id="Summary">Summary</h2>

<p>The <em>HTML Listing Element</em> (<code>&lt;listing&gt;</code>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML 2 standard recommended that lines shouldn't be broken when not greater than 132 characters.</p>

<div class="note"><strong>Note: </strong>Do not use this element.

<ul>
 <li>It is deprecated since HTML 3.2 and was neither implemented by all browsers, nor in a consistent way. Even more it is obsoleted in HTML5 and may be rendered by conforming user-agents as the {{HTMLElement("pre")}} element, which will interpret the internal HTML!</li>
 <li>Instead use the {{HTMLElement("pre")}} element or if semantically adequate the {{HTMLElement("code")}} element, eventually escaping the HTML '<code>&lt;</code>' and '<code>&gt;</code>' so that they don't get interpreted.</li>
 <li>A monospaced font can also be obtained on a simple {{HTMLElement("div")}} element, by applying an adequate <a href="/en-US/docs/Web/CSS" title="CSS">CSS</a> style using <code>monospace</code> as the generic-font value in a {{cssxref("font-family")}} property.</li>
</ul>
</div>

<h2 id="Attributes">Attributes</h2>

<p>This element has no other attributes than the <a class="new " href="/en-US/docs/Web/HTML/Global_attributes" rel="internal" title="HTML/global attributes">global attributes</a>, common to all elements.</p>

<h2 id="DOM_interface">DOM interface</h2>

<p>This element implements the {{domxref('HTMLElement')}} interface.</p>

<div class="note">
<p><strong>Implementation note: </strong>up to Gecko 1.9.2 inclusive, Firefox implements the {{domxref('HTMLSpanElement')}} interface for this element.</p>
</div>

<h2 id="See_also">Browser compatibility</h2>

<p>{{Compat("html.elements.listing")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("pre")}} and {{HTMLElement("code")}} elements to be used instead.</li>
 <li>The {{HTMLElement("plaintext")}} and {{HTMLElement("xmp")}} elements, similar to {{HTMLElement("listing")}} but also obsolete.</li>
</ul>

<div>{{HTMLRef}}</div>
